Subject: [sup-talk] [ANN] Sup 0.1 released

From: [email-masked] (William Morgan)
Date: Thu, 19 Jul 2007 13:49:28 -0700

Excerpts from William Morgan's message of Thu Jul 19 13:29:30 -0700 2007:
> I realize that's not ideal (in particular, users whose mail is delivered
> to IMAP servers not under their control are left out in the cold), but I
> really really don't want to write a slow, buggy, Ruby procmail clone as
> part of Sup.
> 
> Is there another option? I would really like the full power of procmail.

There is a way of tricking procmail into doing what I want. Sup could
take in a list of procmail rules and corresponding label assignments,
create a procmail configuration file that makes procmail act as a filter
that adds an X-Sup-Labels header with the corresponding labels, run all
new messages through procmail with that config file at poll time, and
then parse that header to determine the labels.

Pretty painful. But then you can just write some procmail rules for the
labels you want, and it doesn't matter what source the messages come
from (as long as you have procmail locally!).

-- 
William <wmorgan-sup at masanjin.net>